Installation error in windos

ForumCategory: InstallationInstallation error in windos
paulvero asked 10 months ago

i am following your steps in windows, but not working… $ git clone https://github.com/start-angular/SB-Admin-BS4-Angular-2.git npm install -g ts-node $ cd `project-directory` $ npm install $ npm startCan you help me??? > [email protected] start D:\\Work\\syn-sb-admin-bs4-angular-2> gulp serve.dev –color[14:21:17] Requiring external module ts-node/registerD:\\Work\\syn-sb-admin-bs4-angular-2\\node_modules\\ts-node\\src\\index.ts:253 throw new TSError(diagnosticList) ^TSError: ? Unable to compile TypeScriptgulpfile.ts (1,23): Cannot find module \’gulp\’. (2307)gulpfile.ts (2,23): Cannot find module \’gulp-util\’. (2307)gulpfile.ts (3,30): Cannot find module \’run-sequence\’. (2307) at getOutput (D:\\Work\\syn-sb-admin-bs4-angular-2\\node_modules\\ts-node\\src\\idex.ts:253:17) at D:\\Work\\syn-sb-admin-bs4-angular-2\\node_modules\\ts-node\\src\\index.ts:26316 at Object.compile (D:\\Work\\syn-sb-admin-bs4-angular-2\\node_modules\\ts-node\\rc\\index.ts:398:17) at Module.m._compile (D:\\Work\\syn-sb-admin-bs4-angular-2\\node_modules\\ts-noe\\src\\index.ts:299:46) at Module._extensions..js (module.js:565:10) at Object.require.extensions.(anonymous function) [as .ts] (D:\\Work\\syn-sb-dmin-bs4-angular-2\\node_modules\\ts-node\\src\\index.ts:302:14) at Module.load (module.js:473:32) at tryModuleLoad (module.js:432:12) at Function.Module._load (module.js:424:3) at Module.require (module.js:483:17)npm ERR! Windows_NT 6.1.7601npm ERR! argv \”C:\\\\Program Files\\\\nodejs\\\\node.exe\” \”C:\\\\Program Files\\\\nodejs\\node_modules\\\\npm\\\\bin\\\\npm-cli.js\” \”start\”npm ERR! node v6.5.0npm ERR! npm v3.10.3npm ERR! code ELIFECYCLEnpm ERR! [email protected] start: `gulp serve.dev –color`npm ERR! Exit status 1npm ERR!npm ERR! Failed at the [email protected] start script \’gulp serve.de –color\’.npm ERR! Make sure you have the latest version of node.js and npm installed.npm ERR! If you do, this is most likely a problem with the SB-Admin-BS4-Angular2 package,npm ERR! not with npm itself.npm ERR! Tell the author that this fails on your system:npm ERR! gulp serve.dev –colornpm ERR! You can get information on how to open an issue for this project with:npm ERR! npm bugs SB-Admin-BS4-Angular-2npm ERR! Or if that isn\’t available, you can get their info via:npm ERR! npm owner ls SB-Admin-BS4-Angular-2npm ERR! There is likely additional logging output above.npm ERR! Please include the following file with any support request:npm ERR! D:\\Work\\syn-sb-admin-bs4-angular-2\\npm-debug.log

1 Answers
admin Staff answered 10 months ago

Please clone it again and then run npm install.